Bug 1415025 - Choose different org will result in the same org's host number change in organizations page
Summary: Choose different org will result in the same org's host number change in orga...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Organizations and Locations
Version: 6.2.7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: Unspecified
Assignee: Daniel Lobato Garcia
QA Contact:
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 01:29 UTC by Liushihui
Modified: 2019-09-26 18:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
correct-org1.jpeg (109.06 KB, image/jpeg)
2017-01-20 01:30 UTC, Liushihui
no flags Details
wrong-org1.jpeg (107.32 KB, image/jpeg)
2017-01-20 01:30 UTC, Liushihui
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18260 0 None None None 2017-01-26 16:03:07 UTC

Description Liushihui 2017-01-20 01:29:01 UTC
Description of problem:
In organizations page, when you select a org, the other org's host number is wrong.

Version-Release number of selected component (if applicable):
Satellite6.2.7-sp2
candlepin-0.9.54.15-1.el7.noarch
foreman-1.11.0.65-1.el7sat.noarch
katello-3.0.0-15.el7sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. In satellite webUI, Create a new org named org1.
2. Registered 7 hosts to org1, make sure no host on Default_organization.
3. Go to "Management organization", choose org1, it's correct to show org1's host number is 7, please see screenshot org1.jpeg.
4. Go to "Management organization", choose Default_organization, check the org1's host number.

Actual results:
It will show org1's host number is 0. please see screenshot default_org.jpeg

Expected results:
No matter what org is choosen in organization page, the host's number in the same org shouldn't change. the host's number in org1 should always 7.

Additional info:

Comment 1 Liushihui 2017-01-20 01:30:12 UTC
Created attachment 1242645 [details]
correct-org1.jpeg

Comment 2 Liushihui 2017-01-20 01:30:42 UTC
Created attachment 1242646 [details]
wrong-org1.jpeg

Comment 4 Daniel Lobato Garcia 2017-01-26 15:23:11 UTC
I see this on Foreman nightly too.. working on a fix.

Comment 5 Daniel Lobato Garcia 2017-01-26 15:23:36 UTC
Created redmine issue http://projects.theforeman.org/issues/18260 from this bug

Comment 6 pm-sat@redhat.com 2017-01-26 17:06:46 UTC
Upstream bug assigned to dlobatog@redhat.com

Comment 7 pm-sat@redhat.com 2017-01-26 17:06:50 UTC
Upstream bug assigned to dlobatog@redhat.com

Comment 8 pm-sat@redhat.com 2017-01-30 17:06:52 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18260 has been resolved.

Comment 9 Liushihui 2017-07-21 06:07:05 UTC
It hasn't this problem on satellite6.3.0-sp7, Therefore, verify it.

Comment 10 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.